Subject: RE: grow: what is most complex

From: "Eric Gray" <[email-masked]>
Date: Mon, 22 Mar 2004 17:31:50 -0500

Loa,

	Yeah, this might be a naïve question.  :-)

	Clearly, a gut-level response is "just give me one
all encompassing protocol and my life would be so simple."
But this is not the answer.

	First of all, one size does not fit all, and you may
have more luck trying to make a shoe into a space-ship than
a glove.  It is hard to justify - for example - attempting 
to extend an IGP to support EGP requirements and even harder
to extend DNS to support STP (or vice versa).  On the other
hand, having may ways to do essentially the same thing does
not contribute to operational simplicity. It just isn't all
that easy to be sure when this is the case.

	But your question is not even that simple.  If network
protocols were developed by automata, using a universal set
of construction tools and having a common operating model,
the difference in complexity between extending an existing
protocol or developing a new one would be easily subject to
comprehensive analysis.  Even then, it might not make enough
difference to clearly favor one approach over the other and 
the automata would need to perform a coin toss. Question is,
your coin or mine - because that choice may make more of a
difference than the protocol choice itself?

	Fortunately or unfortunately, protocols aren't developed
that way. They're developed by people, using no particular set
of construction tools and no common operating model. Analysis
is highly subjective and evaluation results may quite possibly
out-number potential evaluators. Moreover, the choice may have
substantial personal impact - one way or the other - on those
being asked to make it.

	I doubt this question can be answered on a case-by-case 
basis in many cases and I am sure it cannot be answered in a
general sense, for all (or even most) cases.

--
Eric

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
> Sent: Monday, March 22, 2004 4:31 PM
> To: [email-masked]
> Subject: grow: what is most complex
> 
> All,
> 
> I've have what might be a naive question and it might not be derived
> from actual operational experience. But I've not seen it explicitly
> addressed.
> 
> If we are looking at what drives complexity most in the operations
> of a network, is that:
> 
> - adding more more and more information to be carried by existing
>    protocols
> 
> or
> 
> - adding more and more protocols for singular purposes?
> 
> 
> /Loa
> 
> --
> 
> Loa Andersson
> 
> mobile +46 739 81 21 64
> 
> _________________________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
> web archive:        http://darkwing.uoregon.edu/~llynch/grow/

_________________________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/grow.html
web archive:        http://darkwing.uoregon.edu/~llynch/grow/